//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <windows.h>
#include <stdio.h>
#include <process.h>
#include "apconvert.h"

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TMemo *prompt;
        TLabel *Label1;
        TEdit *edtThreadCount;
        TButton *btnDemo;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btnDemoClick(TObject *Sender);
private:	// User declarations
//SDK interface definitions.
//For more,please refer to "apconvert.h"
//---------------------------------------------------------------------------
	HMODULE m_hDll;
	_FapOpen *_apOpen;
	_FapClose *_apClose;
	_FapConvert *_apConvert;
	_FapConvertPage *_apConvertPage;
	_FapConvertPageToStream *_apConvertPageToStream;
	_FapSetProperty *_apSetProperty;
	_FapGetProperty *_apGetProperty;

	BOOL LoadDLL();     //Load dynamic link library "pdf2image.dll"!
	BOOL FreeDLL();     //free dynamic link library "pdf2image.dll"!
        BOOL LockMutex();   //lock
        BOOL UnlockMutex(); //unlock
        BOOL PrintPrompt(AnsiString sMsg);
//----------------------------------------------------------------------------

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void CallbackProcess(DWORD dwThreadId);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
